Bug 140825

Summary: [Mac][EME] Support ClearKey encryption with AES128-encrypted HLS
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 140850    
Bug Blocks:    
Attachments:
Description Flags
Patch
eric.carlson: review+
Patch for landing
none
Patch for landing - w/32-bit build fix none

Description Jer Noble 2015-01-23 09:05:28 PST
[Mac][EME] Support ClearKey encryption with AES128-encrypted HLS
Comment 1 Radar WebKit Bug Importer 2015-01-23 09:06:41 PST
<rdar://problem/19578900>
Comment 2 Jer Noble 2015-01-23 09:57:26 PST
Created attachment 245233 [details]
Patch
Comment 3 Eric Carlson 2015-01-23 10:35:26 PST
Comment on attachment 245233 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=245233&action=review

> Source/WebCore/Modules/encryptedmedia/CDMSessionClearKey.cpp:128
> +            if (!keysArray.get(i, keyDictionary) || keyDictionary.isUndefinedOrNull())
> +                continue;

It is probably worth adding logging in these failure cases.

> Source/WebCore/Modules/encryptedmedia/CDMSessionClearKey.h:48
> +    virtual RefPtr<ArrayBuffer> cachedKeyForKeyID(const String&) override;

Can't this and all of the related methods in other classes be declared "const"?
Comment 4 Jer Noble 2015-01-23 13:23:00 PST
Created attachment 245243 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2015-01-23 18:20:35 PST
Comment on attachment 245243 [details]
Patch for landing

Clearing flags on attachment: 245243

Committed r179051: <http://trac.webkit.org/changeset/179051>
Comment 6 Tim Horton 2015-01-23 18:55:38 PST
This broke the 32-bit Mac build.
Comment 7 Jer Noble 2015-01-24 10:01:56 PST
Created attachment 245286 [details]
Patch for landing - w/32-bit build fix
Comment 8 WebKit Commit Bot 2015-02-04 15:27:23 PST
Comment on attachment 245286 [details]
Patch for landing - w/32-bit build fix

Clearing flags on attachment: 245286

Committed r179641: <http://trac.webkit.org/changeset/179641>